Jump to content
Raymond Ng

Delphi 11 for iOS 16 ?

Recommended Posts

I can compile and run an app on an iOS16 device. iOS does require XCode 14. I have not been brave enough yet to add iPhoneOS 16.0 in the SDK Manager so it is working with iPhoneOS 15.0.

  • Like 1

Share this post


Link to post

You mean using RAD 11 + XCode 14, generated IPA is able to upload to AppStore and working fine for phone with iOS16 ?

Share this post


Link to post

I have not tried uploading to the AppStore yet.

  • Like 1

Share this post


Link to post

I have not tried yet either, but It should be OK if you currently can work on actual XCode13 and OS15.x.

Apple usually gives some grace time before it forces you to change to XCode14 or newer iOS Version.

This is usually compatible, of course the new features were not in.

Since there had been also display dimension changes, it could be possible to see some quirks then on iOS16, but I dont really think that will happen.

That was the case last time when Apple introduced the notch, in an earlier version.

Share this post


Link to post

I have the following issues, on my testing IPAD with iOS 13.3.1. Not testing in iOS16 yet.

 

RAD 11 + XCode14 with iOS16 SDK - App crash at start-up on splash screen.

 

RAD 11 + XCode14 with iOS15 SDK - working fine.

 

Any ideas ?

Share this post


Link to post
54 minutes ago, Raymond Ng said:

RAD 11 + XCode14 with iOS16 SDK - App crash at start-up on splash screen.

A blank app starts fine, here.

54 minutes ago, Raymond Ng said:

Any ideas ?

You could try using the debugger?

  • Like 1

Share this post


Link to post

RAD 11.0, 11.1 or 11.2 ? What is your PAServer version ?

 

Tested at my site still crash on starting-up.

Share this post


Link to post

I am using 11.2 and XCode 14 beta 6 and have successfully submitted my program to the app store.

 

Just waiting for review and hopefully it gets accepted.

 

Note: This is on Ventura Beta.

 

Thanks

 

 

Edited by ginnix
  • Like 1

Share this post


Link to post

I have learned the hard way that its a bad idea to use XCode beta versions, since they might not match to the iOS versions well and also might show many installation quirks.

Thats why I usually wait until at least the finals were ready (also they contain glitches from time to time).

  • Like 1

Share this post


Link to post

I'm testing with RAD 11.2 now, compile with Xcode 14 + iOS16 SDK,

 

New App now is working fine in iOS 13, but crash on iOS16 phone.

 

Any advice ?

 

 

Share this post


Link to post

Did you try an empty FMX form?
Remove all current projects entitlement files first from your hard disk and recompile.
I recompiled all my apps in 11.2, with Xcode 14 under PAServer 13.2.11.7 and they all work on iOS 15.7 and iOS 16.0

Edited by sjordi

Share this post


Link to post
17 hours ago, Raymond Ng said:

Any advice ?

As Steve said, try a blank app. Either way, use a debugger to see if you can find where the crash occurs

Share this post


Link to post
3 hours ago, Raymond Ng said:

When try deploy a New Blank App to simulator, following error appear,

You appear to be using an Intel-based Mac. Support for iOS Simulator is for M1 or M2 based Macs only.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×